> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/seller-center/categories.md).

# Categories

## GET /i2/categories/

> CTG101: Get Categories

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_CategoryTree":{"allOf":[{"$ref":"#/components/schemas/_Category"},{"type":"object","properties":{"children":{"type":"array","description":"Array of child categories associated with the category. Shares the same structure as the above."}}}]},"_Category":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the category."},"name":{"type":"string","description":"Name of the category."},"parent":{"type":"string","format":"uuid","description":"Unique identifier for the parent category."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/categories/":{"get":{"tags":["Categories"],"operationId":"CTG101","summary":"CTG101: Get Categories","parameters":[{"$ref":"#/components/parameters/language"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/_CategoryTree"}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /i2/categories/{id}/attributes/

> CTG102: Get Category Attributes

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"Attribute":{"type":"object","properties":{"key":{"type":"string","description":"Unique identifier or key for the attribute."},"name":{"type":"string","description":"Human-readable name of the attribute."},"data_type":{"type":"string","enum":["text","email","area","datetime","bool","valuelabel","dropdown","multiple","price","nested","image","file","model","bundle"],"description":"Data type of the attribute."},"default_value":{"type":"string","default":null,"description":"Default value for the attribute."},"values":{"type":"array","description":"Values of the attribute. Only applicable for dropdown data type.","items":{"$ref":"#/components/schemas/AttributeValue"}},"is_required":{"type":"boolean","description":"Indicates whether the attribute is required."},"is_variant":{"type":"boolean","description":"Indicates whether the attribute is a variant."},"is_offer":{"type":"boolean","description":"Indicates a specific attribute that can be defined when creating a product but cannot be updated during editing."},"is_localizable":{"type":"boolean","description":"Indicates whether the attribute is localizable (can have translations)."},"translations":{"type":"object","default":null,"description":"Translations for the attribute name in different languages."}}},"AttributeValue":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the attribute value."},"label":{"type":"string","format":"uuid","description":"Human-readable label of the attribute value."},"value":{"type":"string","description":"Value of the attribute."},"translations":{"type":"object","default":null,"description":"Translations for the attribute value in different languages."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"404":{"description":"Given resource or object is not found or available.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Includes detailed explanation of the error.","type":"string"}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/categories/{id}/attributes/":{"get":{"tags":["Categories"],"operationId":"CTG102","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/language"}],"summary":"CTG102: Get Category Attributes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/Attribute"}}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /i2/categories/{id}/

> CTG103: Get Category by ID

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_Category":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the category."},"name":{"type":"string","description":"Name of the category."},"parent":{"type":"string","format":"uuid","description":"Unique identifier for the parent category."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"404":{"description":"Given resource or object is not found or available.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Includes detailed explanation of the error.","type":"string"}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/categories/{id}/":{"get":{"tags":["Categories"],"operationId":"CTG103","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/language"}],"summary":"CTG103: Get Category by ID","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/_Category"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/seller-center/categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
